SystemOrganization addCategory: #ConfigurationOfPier2!

Object subclass: #ConfigurationOfPier2
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPier2'!

!ConfigurationOfPier2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:06'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfPier2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:06'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfPier2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:06'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPier2 class methodsFor: 'loading' stamp: 'DaleHenrichs 1/22/2010 11:06'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfPier2 class methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 11:06'!
project

	^self new project! !

!ConfigurationOfPier2 class methodsFor: 'release' stamp: 'DaleHenrichs 11/11/2010 13:01'!
releaseToGemSource
	"self releaseToGemSource"

	(Smalltalk at: #Gofer) new
		gemsource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPier2 class methodsFor: 'release' stamp: 'DaleHenrichs 11/11/2010 13:01'!
releaseToSqueakSource
	"self releaseToSqueakSource"

	(Smalltalk at: #Gofer) new
		squeaksource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPier2 methodsFor: 'baselines' stamp: 'DaleHenrichs 06/16/2010 17:30'!
baseline2000: spec 
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/pier2'.
		spec
			project: 'Magritte2 Core' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte2 Tests' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Tests' ).];
			project: 'Magritte2 Seaside' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Magritte-Seaside' ).];
			yourself.
		spec 
			package: 'Pier-Core' with: [ 
					spec 
						requires: #('Magritte2 Core');
						repository: 'http://source.lukas-renggli.ch/obsolete' ];
			package: 'Pier-Model' with: [ spec requires: #('Pier-Core')];
			package: 'Pier-Tests-Model' with: [ spec requires: #('Pier-Model' 'Magritte2 Tests')];
			package: 'Pier-Security' with: [ spec requires: #('Pier-Seaside')];
			package: 'Pier-Seaside' with: [ spec requires: #('Pier-Model' 'Magritte2 Seaside')];
			package: 'Pier-Tests-Security' with: [ spec requires: #('Pier-Security')];
			yourself.
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Pier-Core' 'Pier-Model' 'Pier-Security' 'Pier-Seaside' );
			group: 'Tests' with: #('Core' 'Pier-Tests-Model' 'Pier-Tests-Security');
			yourself ].
	spec for: #squeakCommon do: [
		spec
			package: 'Pier-Core' with: [ spec includes: #('Pier-Pharo-Core')];
			package: 'Pier-Model' with: [ spec includes: #('Pier-Pharo-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-Pharo-Seaside')];

			package: 'Pier-Pharo-Core' with: [ 
				spec 
					requires: #('Pier-Core');
					repository: 'http://source.lukas-renggli.ch/obsolete'];
			package: 'Pier-Pharo-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-Pharo-Seaside' with: [ spec requires: #('Pier-Seaside')];
			
			package: 'Pier-Pharo-Persistency' with: [ spec requires: #('Pier-Model' 'Pier-Tests-Model') ];
			yourself.
		spec
			group: 'Core' with: #('Pier-Pharo-Persistency' );
			yourself].! !

!ConfigurationOfPier2 methodsFor: 'baselines' stamp: 'DaleHenrichs 06/16/2010 17:28'!
baseline2030: spec 
	<version: '2.0.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/pier2'.
		spec
			project: 'Magritte2 Core' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte2 Tests' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Tests' ).];
			project: 'Magritte2 Seaside' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Magritte-Seaside' ).];
			yourself.
		spec 
			package: 'Pier-Model' with: [ spec requires: #('Magritte2 Core')];
			package: 'Pier-Tests-Model' with: [ spec requires: #('Pier-Model' 'Magritte2 Tests')];
			package: 'Pier-Security' with: [ spec requires: #('Pier-Seaside')];
			package: 'Pier-Seaside' with: [ spec requires: #('Pier-Model' 'Magritte2 Seaside')];
			package: 'Pier-Tests-Security' with: [ spec requires: #('Pier-Security')];
			yourself.
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Pier-Model' 'Pier-Security' 'Pier-Seaside' );
			group: 'Tests' with: #('Core' 'Pier-Tests-Model' 'Pier-Tests-Security' );
			yourself ].
	spec for: #squeakCommon do: [
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-Pharo-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-Pharo-Seaside')];

			package: 'Pier-Pharo-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-Pharo-Seaside' with: [ spec requires: #('Pier-Seaside')];
			
			package: 'Pier-Pharo-Persistency' with: [ spec requires: #('Pier-Model') ];
			package: 'Pier-Tests-Pharo-Persistency' with: [ 
				spec requires: #('Pier-Tests-Model' 'Pier-Pharo-Persistency')];
			yourself.
		spec
			group: 'Core' with: #('Pier-Pharo-Persistency' );
			group: 'Tests' with: #('Pier-Tests-Pharo-Persistency');
			yourself].! !

!ConfigurationOfPier2 methodsFor: 'baselines' stamp: 'DaleHenrichs 06/25/2010 13:39'!
baseline2060: spec 
	<version: '2.0.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/pier2'.
		spec
			project: 'Javascript' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.0-alpha5.15-baseline';
					loads: #( 'Javascript-Core' 'Prototype-Core' 'Scriptaculous-Core' 'JQuery-UI' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'Magritte2 Core' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte2 Tests' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Tests' ).];
			project: 'Magritte2 Seaside' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Magritte-Seaside' ).];
			yourself.
		spec 
			package: 'Pier-Model' with: [ spec requires: #('Magritte2 Core')];
			package: 'Pier-Tests-Model' with: [ spec requires: #('Pier-Model' 'Magritte2 Tests')];
			package: 'Pier-Security' with: [ spec requires: #('Pier-Seaside')];
			package: 'Pier-Seaside' with: [ spec requires: #('Pier-Model' 'Magritte2 Seaside' 'Javascript')];
			package: 'Pier-Tests-Security' with: [ spec requires: #('Pier-Security')];
			yourself.
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Pier-Model' 'Pier-Security' 'Pier-Seaside' );
			group: 'Tests' with: #('Core' 'Pier-Tests-Model' 'Pier-Tests-Security' );
			yourself ].
	spec for: #squeakCommon do: [
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-Pharo-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-Pharo-Seaside')];

			package: 'Pier-Pharo-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-Pharo-Seaside' with: [ spec requires: #('Pier-Seaside')];
			
			package: 'Pier-Pharo-Persistency' with: [ spec requires: #('Pier-Model') ];
			package: 'Pier-Tests-Pharo-Persistency' with: [ 
				spec requires: #('Pier-Tests-Model' 'Pier-Pharo-Persistency')];
			yourself.
		spec
			group: 'Core' with: #('Pier-Pharo-Persistency' );
			group: 'Tests' with: #('Pier-Tests-Pharo-Persistency');
			yourself].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/Pier2'.
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-GemStone-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-GemStone-Seaside')];

			package: 'Pier-GemStone-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-GemStone-Seaside' with: [ spec requires: #('Pier-Seaside')];
			yourself].! !

!ConfigurationOfPier2 methodsFor: 'baselines' stamp: 'dkh 11/10/2010 14:17'!
baseline2070: spec 
	<version: '2.0.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/pier2'.
		spec
			project: 'Javascript' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.1-baseline';
					loads: #( 'Javascript-Core' 'Prototype-Core' 'Scriptaculous-Core' 'JQuery-UI' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'Magritte2 Core' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0.6-baseline';
					loads: #('Core');
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte2 Tests' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Tests' ).];
			project: 'Magritte2 Seaside' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Magritte-Seaside' ).];
			yourself.
		spec 
			package: 'Pier-Model' with: [ spec requires: #('Magritte2 Core')];
			package: 'Pier-Tests-Model' with: [ spec requires: #('Pier-Model' 'Magritte2 Tests')];
			package: 'Pier-Security' with: [ spec requires: #('Pier-Seaside')];
			package: 'Pier-Seaside' with: [ spec requires: #('Pier-Model' 'Magritte2 Seaside' 'Javascript')];
			package: 'Pier-Tests-Security' with: [ spec requires: #('Pier-Security')];
			yourself.
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Pier-Model' 'Pier-Security' 'Pier-Seaside' );
			group: 'Tests' with: #('Core' 'Pier-Tests-Model' 'Pier-Tests-Security' );
			yourself ].
	spec for: #squeakCommon do: [
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-Pharo-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-Pharo-Seaside')];

			package: 'Pier-Pharo-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-Pharo-Seaside' with: [ spec requires: #('Pier-Seaside')];
			
			package: 'Pier-Pharo-Persistency' with: [ spec requires: #('Pier-Model') ];
			package: 'Pier-Tests-Pharo-Persistency' with: [ 
				spec requires: #('Pier-Tests-Model' 'Pier-Pharo-Persistency')];
			yourself.
		spec
			group: 'Core' with: #('Pier-Pharo-Persistency' );
			group: 'Tests' with: #('Pier-Tests-Pharo-Persistency');
			yourself].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/Pier2'.
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-GemStone-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-GemStone-Seaside')];

			package: 'Pier-GemStone-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-GemStone-Seaside' with: [ spec requires: #('Pier-Seaside')];
			yourself].! !

!ConfigurationOfPier2 methodsFor: 'baselines' stamp: 'NickAger 11/26/2011 08:23'!
baseline208: spec 
	<version: '2.0.8-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/pier2'.
		spec
			project: 'Javascript' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #stable;
					loads: #( 'Javascript-Core' 'Prototype-Core' 'Scriptaculous-Core' 'JQuery-UI' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'Magritte2 Core' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0.6-baseline';
					loads: #('Core');
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte2 Tests' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Tests' ).];
			project: 'Magritte2 Seaside' copyFrom: 'Magritte2 Core' with: [
				spec
					loads: #( 'Magritte-Seaside' ).];
			yourself.
		spec 
			package: 'Pier-Model' with: [ spec requires: #('Magritte2 Core')];
			package: 'Pier-Tests-Model' with: [ spec requires: #('Pier-Model' 'Magritte2 Tests')];
			package: 'Pier-Security' with: [ spec requires: #('Pier-Seaside')];
			package: 'Pier-Seaside' with: [ spec requires: #('Pier-Model' 'Magritte2 Seaside' 'Javascript')];
			package: 'Pier-Tests-Security' with: [ spec requires: #('Pier-Security')];
			yourself.
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('Pier-Model' 'Pier-Security' 'Pier-Seaside' );
			group: 'Tests' with: #('Core' 'Pier-Tests-Model' 'Pier-Tests-Security' );
			yourself ].
	spec for: #squeakCommon do: [
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-Pharo-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-Pharo-Seaside')];

			package: 'Pier-Pharo-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-Pharo-Seaside' with: [ spec requires: #('Pier-Seaside')];
			
			package: 'Pier-Pharo-Persistency' with: [ spec requires: #('Pier-Model') ];
			package: 'Pier-Tests-Pharo-Persistency' with: [ 
				spec requires: #('Pier-Tests-Model' 'Pier-Pharo-Persistency')];
			yourself.
		spec
			group: 'Core' with: #('Pier-Pharo-Persistency' );
			group: 'Tests' with: #('Pier-Tests-Pharo-Persistency');
			yourself].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/Pier2'.
		spec
			package: 'Pier-Model' with: [ spec includes: #('Pier-GemStone-Model')];
			package: 'Pier-Seaside' with: [ spec includes: #('Pier-GemStone-Seaside')];

			package: 'Pier-GemStone-Model' with: [ spec requires: #('Pier-Model')];
			package: 'Pier-GemStone-Seaside' with: [ spec requires: #('Pier-Seaside')];
			yourself].! !

!ConfigurationOfPier2 methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 11/11/2010 13:02'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>
! !

!ConfigurationOfPier2 methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 11:06'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfPier2 methodsFor: 'symbolic versions' stamp: 'NickAger 11/26/2011 08:25'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '2.0.8'. 
! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'dkh 1/27/2010 16:09'!
version200: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'Initial version of Pier 2.0 for Seaside 3.0'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/22/2010 15:28'.
		spec 
			project: 'Magritte2 Core' with: '2.0';
			project: 'Magritte2 Tests' with: '2.0';
			project: 'Magritte2 Seaside' with: '2.0'.
		spec 
			package: 'Pier-Core' with: 'Pier-Core-jf.7';
			package: 'Pier-Model' with: 'Pier-Model-lr.375';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.473';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.6';
			package: 'Pier-Security' with: 'Pier-Security-lr.158';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-jf.4'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Core' with: 'Pier-Pharo-Core-jf.2';
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-jf.2';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-jf.4';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-NickAger.4'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'dkh 1/27/2010 16:09'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest package version (1/27/2010 16:09)'.
		spec author: 'dkh'.
		spec timestamp: '1/27/2010 16:09'.
		spec 
			project: 'Magritte2 Core' with: '2.0';
			project: 'Magritte2 Tests' with: '2.0';
			project: 'Magritte2 Seaside' with: '2.0'.
		spec 
			package: 'Pier-Core' with: 'Pier-Core-jf.7';
			package: 'Pier-Model' with: 'Pier-Model-lr.375';
			package: 'Pier-Seaside' with: 'Pier-Seaside-NickAger.474';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.6';
			package: 'Pier-Security' with: 'Pier-Security-lr.158';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-jf.4'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Core' with: 'Pier-Pharo-Core-jf.2';
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-jf.2';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-jf.4';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-NickAger.4'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 2/9/2010 12:10'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest Magritte (2.0.1)
- pick up latest packages (2/8/2010 09:24)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '2/8/2010 09:24'.
		spec 
			project: 'Magritte2 Core' with: '2.0.1';
			project: 'Magritte2 Tests' with: '2.0.1';
			project: 'Magritte2 Seaside' with: '2.0.1'.
		spec 
			package: 'Pier-Core' with: 'Pier-Core-jf.7';
			package: 'Pier-Model' with: 'Pier-Model-lr.376';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.476';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.7';
			package: 'Pier-Security' with: 'Pier-Security-lr.158';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-jf.4'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Core' with: 'Pier-Pharo-Core-jf.2';
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-jf.2';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-jf.4';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-NickAger.4'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 6/16/2010 10:51'!
version203: spec
	<version: '2.0.3' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up repository Pier2 restructuring
- pick up latest Magritte (2.0.2)
- pick up latest packages (3/1/2010 11:38)
- Pier-Model
  - added repository URL
  - added package description and url for all packages
  - fixed some shadowed variables
  - normalize the protocols
  - added detect:ifNone: detect: protocol to PREnumerableVisitor
  - fix the confirmation string when removing something
  - changed PRTextWriter to ignore verbatim content
  - add the plainText description to core
  - moved some plugins to other repository
  - commented some PRKernel class-side methods
- Pier-Pharo-Model, Pier-Pharo-Seaside
  - added repository URL
- Pier-Pharo-Persistency
  - added repository URL
  - moved PRImagePersistencyTest to separate test package, so tests can load separately
- Pier-Seaside
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
  - Integrated patch of Reza RAZAVI: 

    Most of the complexity is related to the layers of abstraction that necessarily come into play when 
    implementing such a sophisticated and flexible system. However, in this specific case roles and 
    responsibilities could probably be made a little bit more explicit. A quick fix is suggested attached. 
    It is based on the following ideas:

      1) Give a name to the different portions of the logic, and dispatch their implementation to responsible 
          objects. This helps by making object collaboration flows more explicit (while providing also application 
          developers with more hooks to override that specific portion of code, based on their specific requirements).

      2) PRComponents have a structural role, where WAComponents have a visual role. It could help to make this 
          distinction explicit in the code naming conventions. For example, PRStructuralComponent instead of 
          PRComponent, and WAVisualComponent instead of WAComponent.
  - various fixes and merged form Pier 1
  - optimize list rendering
  - fixed some deprecated calls
  - reuse the existing instance of kernel when using the registration code in comment
- Pier-Security
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
  - removed editUser hack from PUSecurityWidget by adding PUEditUser command 
  - fixed categorisation in PUEditUser
  - save a few methods by making PUEditUser a subclass of PRChangeCommand
  - fixed a bug found using tests
- Pier-Tests-Model
  - added repository URL
  - added package description and url for all packages
  - added tests for detect:ifNone: and detect: protocol which has been added to PREnumerableVisitor
  - fixed broken verbatim tests
- Pier-Tests-Security
  - added repository URL
  - added package description and url for all packages
  - added a few perliminary tests
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/1/2010 15:00'.
		spec 
			project: 'Magritte2 Core' with: '2.0.2';
			project: 'Magritte2 Tests' with: '2.0.2';
			project: 'Magritte2 Seaside' with: '2.0.2'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.387';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.484';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.11';
			package: 'Pier-Security' with: 'Pier-Security-lr.165';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.7'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-YanniChiu.6';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/29/2010 12:42'!
version204: spec
	<version: '2.0.4' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest mcz files (3/29/2010 11:38)
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/29/2010 11:51'.
		spec 
			project: 'Magritte2 Core' with: '2.0.2';
			project: 'Magritte2 Tests' with: '2.0.2';
			project: 'Magritte2 Seaside' with: '2.0.2'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.387';
			package: 'Pier-Seaside' with: 'Pier-Seaside-tg.485';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.11';
			package: 'Pier-Security' with: 'Pier-Security-lr.165';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.7'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-YanniChiu.7';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 6/1/2010 15:17'!
version205: spec
	<version: '2.0.5' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- pick up latest mcz files (6/1/2010 15:11)
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '6/1/2010 15:10'.
		spec 
			project: 'Magritte2 Core' with: '2.0.4';
			project: 'Magritte2 Tests' with: '2.0.4';
			project: 'Magritte2 Seaside' with: '2.0.4'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.387';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.488';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.12';
			package: 'Pier-Security' with: 'Pier-Security-lr.165';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.8'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-YanniChiu.7';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 9/3/2010 11:48'!
version2061: spec
	<version: '2.0.6.1' imports: #('2.0.6-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- PierSeaside
  - moved #isRestful to class-side
  - modified PRContentsWidget>>#onAnswerCommand: to trap MAError rather than the more general Error. 
- Pier-Pharo-Persistency
  - fixed senders of #ifNotNil:
  - fixed reference to WAKom
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '8/31/2010 12:11'.
		spec 
			project: 'Javascript' with: '3.0.0-rc.3';
			project: 'Magritte2 Core' with: '2.0.5.1';
			project: 'Magritte2 Tests' with: '2.0.5.1';
			project: 'Magritte2 Seaside' with: '2.0.5.1'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.388';
			package: 'Pier-Seaside' with: 'Pier-Seaside-NickAger.490';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.12';
			package: 'Pier-Security' with: 'Pier-Security-DaleHenrichs.167';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.9'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-lr.9';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].
	spec for: #gemstone do: [
		spec 
			package: 'Pier-GemStone-Model' with: 'Pier-GemStone-Model-DaleHenrichs.2';
			package: 'Pier-GemStone-Seaside' with: 'Pier-GemStone-Seaside-DaleHenrichs.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 7/13/2010 10:24'!
version206: spec
	<version: '2.0.6' imports: #('2.0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- port to GLASS 1.0-beta.8
- pick up latest mcz files (6/25/2010 13:06)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '07/08/10 16:27:38'.
		spec 
			project: 'Javascript' with: '3.0.0-alpha5.15';
			project: 'Magritte2 Core' with: '2.0.5';
			project: 'Magritte2 Tests' with: '2.0.5';
			project: 'Magritte2 Seaside' with: '2.0.5'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.388';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.488';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.12';
			package: 'Pier-Security' with: 'Pier-Security-DaleHenrichs.167';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.8'.].
	spec for: #'squeakCommon' do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-YanniChiu.7';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Pier-GemStone-Model' with: 'Pier-GemStone-Model-DaleHenrichs.2';
			package: 'Pier-GemStone-Seaside' with: 'Pier-GemStone-Seaside-DaleHenrichs.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'dkh 07/25/2011 18:36'!
version2071: spec
	<version: '2.0.7.1' imports: #('2.0.6-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec description: '2.0.7.1 (dkh.33):
- open 2.0.7.1 for development
- porting Magritte 2.0.6 to GemStone 3.0.0
- use #stable symbolic version for Javascript (Seaside), so we will stay up-to-date'.
		spec author: 'dkh'.
		spec timestamp: '7/25/2011 18:18'.
		spec 
			project: 'Javascript' with: #'stable';
			project: 'Magritte2 Core' with: '2.0.6.1';
			project: 'Magritte2 Tests' with: '2.0.6.1';
			project: 'Magritte2 Seaside' with: '2.0.6.1'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.399';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.500';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.16';
			package: 'Pier-Security' with: 'Pier-Security-lr.172';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.10'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-lr.19';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].
	spec for: #gemstone do: [
		spec 
			package: 'Pier-GemStone-Model' with: 'Pier-GemStone-Model-DaleHenrichs.2';
			package: 'Pier-GemStone-Seaside' with: 'Pier-GemStone-Seaside-DaleHenrichs.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'DaleHenrichs 11/11/2010 13:02'!
version207: spec
	<version: '2.0.7' imports: #('2.0.6-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- pick up latest mcz files
'.
		spec author: 'dkh'.
		spec timestamp: '11/10/2010 14:21'.
		spec 
			project: 'Javascript' with: '3.0.1';
			project: 'Magritte2 Core' with: '2.0.6';
			project: 'Magritte2 Tests' with: '2.0.6';
			project: 'Magritte2 Seaside' with: '2.0.6'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-lr.399';
			package: 'Pier-Seaside' with: 'Pier-Seaside-lr.500';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.16';
			package: 'Pier-Security' with: 'Pier-Security-lr.172';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-lr.10'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-lr.19';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].
	spec for: #gemstone do: [
		spec 
			package: 'Pier-GemStone-Model' with: 'Pier-GemStone-Model-DaleHenrichs.2';
			package: 'Pier-GemStone-Seaside' with: 'Pier-GemStone-Seaside-DaleHenrichs.1'.].! !

!ConfigurationOfPier2 methodsFor: 'versions' stamp: 'NickAger 12/3/2011 11:39'!
version208: spec
	<version: '2.0.8' imports: #('2.0.6-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- pick up latest mcz files
'.
		spec author: 'NickAger'.
		spec timestamp: '11/26/2011 08:16'.
		spec 
			project: 'Javascript' with: '3.0.1';
			project: 'Magritte2 Core' with: '2.0.6';
			project: 'Magritte2 Tests' with: '2.0.6';
			project: 'Magritte2 Seaside' with: '2.0.6'.
		spec 
			package: 'Pier-Model' with: 'Pier-Model-NickAger.418';
			package: 'Pier-Seaside' with: 'Pier-Seaside-NickAger.522';
			package: 'Pier-Tests-Model' with: 'Pier-Tests-Model-lr.25';
			package: 'Pier-Security' with: 'Pier-Security-NickAger.180';
			package: 'Pier-Tests-Security' with: 'Pier-Tests-Security-NickAger.12' ].
	spec for: #squeakCommon do: [
		spec 
			package: 'Pier-Pharo-Model' with: 'Pier-Pharo-Model-lr.3';
			package: 'Pier-Pharo-Seaside' with: 'Pier-Pharo-Seaside-lr.5';
			package: 'Pier-Pharo-Persistency' with: 'Pier-Pharo-Persistency-TudorGirba.20';
			package: 'Pier-Tests-Pharo-Persistency' with: 'Pier-Tests-Pharo-Persistency-YanniChiu.1'.].
	spec for: #gemstone do: [
		spec 
			package: 'Pier-GemStone-Model' with: 'Pier-GemStone-Model-DaleHenrichs.2';
			package: 'Pier-GemStone-Seaside' with: 'Pier-GemStone-Seaside-DaleHenrichs.1'.].! !
